//! Board Support Package: module containing implementation
//! specific to a board.

#[cfg(feature = "target_rpi3")]
pub mod rpi3;

#[cfg(feature = "target_rpi4")]
pub mod rpi4;

#[cfg(target_arch = "aarch64")]
pub mod aarch64;

// TODO: only for bsp with support for GPIO
pub mod generic_gpio_drivers;
